Skip to main content
GET
/
searches
/
investor-interest
/
{searchId}
/
results
Get Investor Interest Signals Saved Search results
curl --request GET \
  --url https://app.tryspecter.com/api/v1/searches/investor-interest/{searchId}/results \
  --header 'X-API-Key: <api-key>'
[
  {
    "signal_id": "02d32673-f1ab-40a1-93c5-a3a36a10d342",
    "signal_date": "2018-03-15",
    "signal_score": 9,
    "signal_type": "Company",
    "signal_investors": [
      {
        "name": "Bluebirds Capital"
      }
    ],
    "signal_summary": "Porcupine VC are in talks with Hedgehog Analytics as it seeks seed capital.",
    "source_types": "insider",
    "signal_total_funding_usd": 16600000,
    "signal_last_Funding_usd": 16600000,
    "signal_last_funding_date": "2025-12-01",
    "entity_id": "per_195438c40b261c2117954333",
    "company": {
      "name": "Hedgehog Analytics",
      "description": "Hedgehog Analytics is a data-driven company specializing in B2C sales across North America.",
      "website": "https://www.hedgehog_analytics.com",
      "linkedin_url": "linkedin.com/company/hedgehog_analytics",
      "twitter_url": "twitter.com/hedgehog_analytics",
      "founded_year": 2019,
      "hq": {
        "city": "London",
        "state": "England",
        "country": "United Kingdom",
        "region": "Europe",
        "continent": "Europe",
        "regions": [
          [
            "London Metropolitan Area",
            "EMEA"
          ]
        ]
      },
      "industry": [
        "Financial Services",
        "Financial Technology"
      ],
      "tech_verticals": [
        [
          "Blockchain, Crypto & Web3",
          "Crypto Exchanges and Trading Infrastructure"
        ]
      ],
      "is_industry_estimated": true,
      "industries": [
        "Data and Analytics",
        "DeepTech",
        "Information Technology",
        "Software"
      ],
      "customer_focus": "b2c"
    },
    "person": {
      "full_name": "Sarah Chen",
      "description": "AI/ML researcher and entrepreneur with a focus on computer vision applications. Previously led ML teams at Google and founded an AI startup.",
      "website": "<unknown>",
      "linkedin_url": "https://www.linkedin.com/in/sarahchen9776",
      "twitter_url": "https://twitter.com/sarahchen9776",
      "founded_year": 2019,
      "location": {
        "city": "London",
        "state": "England",
        "country": "United Kingdom",
        "region": "Europe",
        "continent": "Europe",
        "regions": [
          [
            "London Metropolitan Area",
            "EMEA"
          ]
        ]
      },
      "industry": [
        "Financial Services",
        "Financial Technology"
      ],
      "tech_verticals": [
        [
          "Blockchain, Crypto & Web3",
          "Crypto Exchanges and Trading Infrastructure"
        ]
      ],
      "is_industry_estimated": true,
      "industries": "<unknown>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://api.tryspecter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The search ID that is being queried for.

Query Parameters

limit
number

The number of results to return, default is 50.

page
number

The page number of results to return, base 0, default is 0.

new
boolean
default:false

When true, restricts results to signals from the current week, overriding any SignalDate filter stored in the saved search.

Response

The list of investor interest signals that were found for the query

signal_id
string
required

Unique identifier for this investor interest signal

Example:

"02d32673-f1ab-40a1-93c5-a3a36a10d342"

signal_date
string
required

Date when the talent signal was detected

Example:

"2018-03-15"

signal_score
number
required

Confidence score for this talent signal (1-10 scale)

Example:

9

signal_type
enum<string>
required

Type of talent signal detected

Available options:
Company,
Talent
Example:

"Company"

signal_investors
object[]
required

The investors for this signal

signal_summary
string

Summary of the signal

Example:

"Porcupine VC are in talks with Hedgehog Analytics as it seeks seed capital."

source_types
enum<string>

The course of the signal

Available options:
influencer,
journalist,
investor,
insider,
angel,
investment_bank,
venture_capital,
private_equity
Example:

"insider"

signal_total_funding_usd
number

The total funding in USD when the signal was triggered

Example:

16600000

signal_last_Funding_usd
number

The last funding in USD when the signal was triggered

Example:

16600000

signal_last_funding_date
string

The total funding date when the signal was triggered

Example:

"2025-12-01"

entity_id
string

Unique identifier of the entity that this signal is for, if it's a Company signal then this is the company id, if it's a Talent signal then this is the person id. Note that this may not exist, in which case for company signals the domain can be used and for talent signals the linkedin_url can be used.

Example:

"per_195438c40b261c2117954333"

company
object

Information about the company if it is a company signal.

person
object

Information about the person if it is a talent signal.